#!/bin/tclsh
proc randy {{num1 1} {num2 0}} {
  set lol [expr ($num2 - $num1) * 10]
  set result [expr round([expr [expr rand() * $lol] / 10])]
  if {$num2 != 0} {incr result $num1}
  return $result
}
proc ardw {filename} {
 global wbuf
 set of "1" ; set llist ""
 if [file exists $filename] {
  catch {open $filename r+} of
  if ![string match "file*" $of] {return "e"}
 } else {
  catch {open $filename w} of
  if ![string match "file*" $of] {return "e"}
 }      
 if {$wbuf == ""} {
  set size [file size $filename]
  if {$size > 1} {set llist [read $of $size]}
 } else {  
  seek $of 0 ; foreach line $wbuf {puts $of "$line"}
 }
 close $of
 return $llist
}
proc lcddi {argv} {
	global env rc wbuf
	set group "NoGroup"
	foreach {command user group} $argv {break}
	set dir [string range $command 4 end]
	set dir [file split $dir]
	if {[llength $dir] == 1} {
		set ndir [file split [pwd]]
		append ndir " " $dir
		set dir [lreplace $ndir 1 1]
	} 
	if {[lindex $dir 0] != "/"} {set rc 0; return}
	set dfile "/sitestat/[lindex $dir 1].cdd"
	if ![file readable $dfile] {set rc 0; return}
	set dir [lreplace $dir 0 1]
	set flags $env(FLAGS)
	
#environments: TAGLINE HOME PGROUP GROUP FLAGS HOST RATIO USER"
#variables: dir, user, group, pwd, flags
	
	set rc [catch {
		source $dfile
	} msg]
	if {$rc} {puts "550ERROR: $msg" ; return}

}
lcddi $argv
exit $rc
